libzypp: zyppng::sat::PoolComponentSet::CompContainer< T > Struct Template Reference

libzypp 17.38.10

zyppng::sat::PoolComponentSet::CompContainer< T > Struct Template Reference
Inheritance diagram for zyppng::sat::PoolComponentSet::CompContainer< T >:

## Public Member Functions
| CompContainer (std::unique_ptr< T > component)
| ~CompContainer () override=default
| CompContainer (const CompContainer &)=delete
| CompContainer (CompContainer &&)=delete
CompContainer & | operator= (const CompContainer &)=delete
CompContainer & | operator= (CompContainer &&)=delete
std::type_index | typeIndex () const
void * | get () override
Public Member Functions inherited from zyppng::sat::PoolComponentSet::TypeErasure
| TypeErasure ()=default
virtual | ~TypeErasure ()=default
| TypeErasure (const TypeErasure &)=delete
| TypeErasure (TypeErasure &&)=delete
TypeErasure & | operator= (const TypeErasure &)=delete
TypeErasure & | operator= (TypeErasure &&)=delete

## Public Attributes
std::unique_ptr< T > | _ptr

## Detailed Description

template<typename T>
struct zyppng::sat::PoolComponentSet::CompContainer< T >

Definition at line 244 of file poolcomponents.h.

## Constructor & Destructor Documentation

## ◆ CompContainer() [1/3]

template<typename T>

zyppng::sat::PoolComponentSet::CompContainer< T >::CompContainer | ( | std::unique_ptr< T > | component | ) |
| inline

Definition at line 245 of file poolcomponents.h.

## ◆ ~CompContainer()

template<typename T>

zyppng::sat::PoolComponentSet::CompContainer< T >::~CompContainer | ( |  | ) |
| overridedefault

## ◆ CompContainer() [2/3]

template<typename T>

zyppng::sat::PoolComponentSet::CompContainer< T >::CompContainer | ( | const CompContainer< T > & |  | ) |
| delete

## ◆ CompContainer() [3/3]

template<typename T>

zyppng::sat::PoolComponentSet::CompContainer< T >::CompContainer | ( | CompContainer< T > && |  | ) |
| delete

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename T>

CompContainer & zyppng::sat::PoolComponentSet::CompContainer< T >::operator= | ( | const CompContainer< T > & |  | ) |
| delete

## ◆ operator=() [2/2]

template<typename T>

CompContainer & zyppng::sat::PoolComponentSet::CompContainer< T >::operator= | ( | CompContainer< T > && |  | ) |
| delete

## ◆ typeIndex()

template<typename T>

std::type_index zyppng::sat::PoolComponentSet::CompContainer< T >::typeIndex | ( |  | ) | const
| inline

Definition at line 254 of file poolcomponents.h.

## ◆ get()

template<typename T>

void * zyppng::sat::PoolComponentSet::CompContainer< T >::get | ( |  | ) |
| inlineoverridevirtual

Implements zyppng::sat::PoolComponentSet::TypeErasure.

Definition at line 258 of file poolcomponents.h.

## Member Data Documentation

## ◆ _ptr

template<typename T>

std::unique_ptr<T> zyppng::sat::PoolComponentSet::CompContainer< T >::_ptr

Definition at line 252 of file poolcomponents.h.

The documentation for this struct was generated from the following file:

- zypp/ng/sat/components/poolcomponents.h